package com.yonge.cooleshow.biz.dal.vo.res;

import com.yonge.cooleshow.biz.dal.enums.GoodTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

/**
 * @Author: liweifan
 * @Data: 2022/3/31 16:18
 */
@ApiModel(value = "OrderCheckRes", description = "退款创建业务返回对象")
public class RefundCreateRes {
    @ApiModelProperty("实际价格(必填)")
    private BigDecimal actualPrice;

    @ApiModelProperty("商品类型:  VIP、开通会员  PRACTICE、陪练课购买  LIVE、直播课购买 VIDEO、视频课购买 MUSIC、单曲点播")
    private GoodTypeEnum goodType;
    @ApiModelProperty(value = "冗余字段，用于传递参数用")
    private Object bizParam;

    public BigDecimal getActualPrice() {
        return actualPrice;
    }

    public void setActualPrice(BigDecimal actualPrice) {
        this.actualPrice = actualPrice;
    }

    public GoodTypeEnum getGoodType() {
        return goodType;
    }

    public void setGoodType(GoodTypeEnum goodType) {
        this.goodType = goodType;
    }

    public Object getBizParam() {
        return bizParam;
    }

    public void setBizParam(Object bizParam) {
        this.bizParam = bizParam;
    }
}
